libepubgen::EPUBHTMLManager Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBHTMLManager Class Reference

`#include <EPUBHTMLManager.h>`

## Public Member Functions
| EPUBHTMLManager (EPUBManifest &manifest)
const std::shared_ptr< EPUBHTMLGenerator > | create (EPUBImageManager &imageManager, EPUBFontManager &fontManager, EPUBListStyleManager &listStyleManager, EPUBParagraphStyleManager &paragraphStyleManager, EPUBSpanStyleManager &spanStyleManager, EPUBSpanStyleManager &bodyStyleManager, EPUBTableStyleManager &tableStyleManager, const EPUBPath &stylesheetPath, EPUBStylesMethod stylesMethod, EPUBLayoutMethod layoutMethod, int version)
void | writeTo (EPUBPackage &package)
void | writeSpineTo (EPUBXMLContent &xml)
void | writeTocTo (EPUBXMLContent &xml, const EPUBPath &tocPath, int version, EPUBLayoutMethod layout)
void | insertHeadingText (const std::string &text)
| Appends text to the title of the current heading. More...
void | addChapterName (const std::string &text)
| Registers a chapter name for the current page (fixed layout case). More...
bool | hasHeadingText () const
| If the current heading has a title. More...

## Private Member Functions
| EPUBHTMLManager (const EPUBHTMLManager &)
EPUBHTMLManager & | operator= (const EPUBHTMLManager &)

## Private Attributes
EPUBManifest & | m_manifest
std::vector< EPUBPath > | m_paths
std::vector< EPUBXMLContent > | m_contents
std::vector< std::string > | m_ids
EPUBCounter | m_number

## Constructor & Destructor Documentation

## ◆ EPUBHTMLManager() [1/2]

libepubgen::EPUBHTMLManager::EPUBHTMLManager | ( | const EPUBHTMLManager & |  | ) |
| private

## ◆ EPUBHTMLManager() [2/2]

libepubgen::EPUBHTMLManager::EPUBHTMLManager | ( | EPUBManifest & | manifest | ) |
| explicit

## Member Function Documentation

## ◆ addChapterName()

void libepubgen::EPUBHTMLManager::addChapterName | ( | const std::string & | text | ) |

Registers a chapter name for the current page (fixed layout case).

## ◆ create()

const std::shared_ptr< EPUBHTMLGenerator > libepubgen::EPUBHTMLManager::create | ( | EPUBImageManager & | imageManager,
|  | EPUBFontManager & | fontManager,
|  | EPUBListStyleManager & | listStyleManager,
|  | EPUBParagraphStyleManager & | paragraphStyleManager,
|  | EPUBSpanStyleManager & | spanStyleManager,
|  | EPUBSpanStyleManager & | bodyStyleManager,
|  | EPUBTableStyleManager & | tableStyleManager,
|  | const EPUBPath & | stylesheetPath,
|  | EPUBStylesMethod | stylesMethod,
|  | EPUBLayoutMethod | layoutMethod,
|  | int | version
| ) |  |

Referenced by libepubgen::EPUBGenerator::startNewHtmlFile().

## ◆ hasHeadingText()

bool libepubgen::EPUBHTMLManager::hasHeadingText | ( |  | ) | const

If the current heading has a title.

## ◆ insertHeadingText()

void libepubgen::EPUBHTMLManager::insertHeadingText | ( | const std::string & | text | ) |

Appends text to the title of the current heading.

## ◆ operator=()

EPUBHTMLManager & libepubgen::EPUBHTMLManager::operator= | ( | const EPUBHTMLManager & |  | ) |
| private

## ◆ writeSpineTo()

void libepubgen::EPUBHTMLManager::writeSpineTo | ( | EPUBXMLContent & | xml | ) |

Referenced by libepubgen::EPUBGenerator::writeRoot().

## ◆ writeTo()

void libepubgen::EPUBHTMLManager::writeTo | ( | EPUBPackage & | package | ) |

Referenced by libepubgen::EPUBGenerator::endDocument().

## ◆ writeTocTo()

void libepubgen::EPUBHTMLManager::writeTocTo | ( | EPUBXMLContent & | xml,
|  | const EPUBPath & | tocPath,
|  | int | version,
|  | EPUBLayoutMethod | layout
| ) |  |

Referenced by libepubgen::EPUBGenerator::writeNavigation().

## Member Data Documentation

## ◆ m_contents

std::vector<EPUBXMLContent> libepubgen::EPUBHTMLManager::m_contents
| private

Referenced by create(), and writeTo().

## ◆ m_ids

std::vector<std::string> libepubgen::EPUBHTMLManager::m_ids
| private

Referenced by create(), and writeSpineTo().

## ◆ m_manifest

EPUBManifest& libepubgen::EPUBHTMLManager::m_manifest
| private

Referenced by create().

## ◆ m_number

EPUBCounter libepubgen::EPUBHTMLManager::m_number
| private

Referenced by create().

## ◆ m_paths

std::vector<EPUBPath> libepubgen::EPUBHTMLManager::m_paths
| private

Referenced by addChapterName(), create(), hasHeadingText(), insertHeadingText(), writeTo(), and writeTocTo().

The documentation for this class was generated from the following files:

- EPUBHTMLManager.h
- EPUBHTMLManager.cpp